io.etcd.jetcd

## Interface Watch.Listener

Enclosing interface:
  Watch

    public static interface Watch.Listener

Interface of Watcher.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onCompleted()` Invoked on completion.
`void` `onError(Throwable throwable)` Invoked on errors.
`void` `onNext(WatchResponse response)` Invoked on new events.

### Method Detail

#### onNext

    void onNext(WatchResponse response)

Invoked on new events.

Parameters:
  `response` - the response.

#### onError

    void onError(Throwable throwable)

Invoked on errors.

Parameters:
  `throwable` - the error.

#### onCompleted

    void onCompleted()

Invoked on completion.